<!-- <div class="container">

  <div class="row card">
     <div class="card-header">
      <i class="icon-map"></i>Battery Sending Checklist
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body"> -->
<div class="container">
  <div class="row">
    <div class="col-sm-3"></div>

    <div class="col-sm-6">
      <mat-toolbar color="primary">Assign Battery Pack</mat-toolbar>
      <mat-card class="example-card">

        <mat-card-content>
          <form [formGroup]="signUpForm" (ngSubmit)="onSubmit()">

            <!-- <div class="form-group">
              <label for="batteryNum">Battery Number<sup class="req">*</sup></label>
              <input
                 type="text"
                 id="batteryNum"
                 formControlName="batteryNum"
                 class="form-control"
                 (input)="valuechange()"
                 placeholder="Enter Battery Number"
                 (ngModelChange)= "valuechange()"
                 >
                 <div *ngIf="signUpForm.get('batteryNum').invalid && signUpForm.get('batteryNum').touched"
                 class="alert alert-danger">

                   <div *ngIf="signUpForm.get('batteryNum').errors.required">
                     Please enter Battery.
                   </div>
                   <div *ngIf="signUpForm.get('batteryNum').errors.validateBattery">
                     Not a valid battery to perform checklist.
                   </div>
             </div>
            </div> -->

            <mat-form-field class="form-group">
              <mat-label>Battery number</mat-label>
              <input matInput formControlName="batteryNum" (input)="valuechange()" placeholder="Enter Battery Number"
                (ngModelChange)="valuechange()" />
              <mat-error *ngIf="!!signUpForm.controls.batteryNum.hasError('required')">Please enter Battery Number</mat-error>
              <mat-error *ngIf="signUpForm.get('batteryNum').hasError('validateBattery')">
                Not a valid battery to perform checklist.
              </mat-error>
            </mat-form-field>


            <!-- <div class="form-group">
          <label for="lspId">LSP<sup class="req">*</sup></label>
          <select
            id="lspId"
            formControlName="lspId"
            class="form-control"
            >
            <option value="-1">- Enter Battery Number -</option>
            <option value="-2">- Select LSP -</option>
            <option value ="-3">- LSP not required -</option>
            <option
              *ngFor="let lsp of lspInfo"
               value="{{ lsp.lspId }}">{{ lsp.name }}</option>
          </select>
             <span
                *ngIf="!signUpForm.get('lspId').valid && signUpForm.get('lspId').touched"
                class="help-block">Please select LSP!</span>
        </div> -->

            <mat-form-field class="form-group">
              <mat-select formControlName="lspId">
                <mat-option value="-1">- Enter Battery Number First -</mat-option>
                <mat-option value="-2">- Select LSP -</mat-option>
                <mat-option value="-3">- LSP not required -</mat-option>
                <mat-option *ngFor="let lsp of lspInfo" value="{{ lsp.lspId }}">{{ lsp.name }}</mat-option>3

              </mat-select>
              <mat-error *ngIf="!signUpForm.get('lspId').valid && signUpForm.get('lspId').touched">
                Please select LSP
              </mat-error>
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="driverId">Driver</label>
          <select
            id="driverId"
            formControlName="driverId"
            class="form-control"
            >
            <option value="-1">- Click to Select Driver -</option>
            <option
              *ngFor="let driver of driverInfo"
               value="{{ driver.driverId }}">{{ driver.driver_name + ' ('+driver.driverId + ') '}}</option>
          </select>
             <span
                *ngIf="!signUpForm.get('driverId').valid && signUpForm.get('driverId').touched"
                class="help-block">Please select Driver!</span>
        </div> -->

            <mat-form-field class="form-group">
              <mat-label>Driver</mat-label>
              <mat-select formControlName="driverId">
                <mat-option *ngFor="let driver of driverInfo" value="{{ driver.driverId }}">{{ driver.driver_name + '
                  (' + driver.driverId + ') ' }}</mat-option>>

              </mat-select>
              <mat-error *ngIf="!signUpForm.get('driverId').valid && signUpForm.get('driverId').touched">
                Please select Driver
              </mat-error>
            </mat-form-field>


            <!-- <div class="form-group">
          <label for="dataLoggerId">Data Logger<sup class="req">*</sup></label>
          <input
            type="text"
            formControlName="dataLoggerId"
            class="form-control"
            id="dataLoggerId"
            readonly
          >
        </div> -->

            <mat-form-field class="form-group">
              <mat-label>Data Logger</mat-label>
              <input matInput formControlName="dataLoggerId" readonly />
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="bmsType">BMS<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let b of bmsType">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="bmsType"
                    [value]="b.value"
                    >&nbsp;&nbsp;{{ b.label }}
              </label>
            </div>
        </div> -->
            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>BMS</mat-label>
                  <input matInput value="{{ this.signUpForm.get('bmsType').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="bmsType">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let b of bmsType" [value]="b.value">
                      {{ b.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
            </div>

            <!-- <div class="form-group">
          <label for="bmsNumber">BMS Number<sup class="req">*</sup></label>
          <input
              type="text"
              id="bmsNumber"
              formControlName="bmsNumber"
              class="form-control"
              readonly>
        </div> -->

            <mat-form-field class="form-group">
              <mat-label>BMS Number</mat-label>
              <input matInput formControlName="bmsNumber" readonly />
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="dlHardwareVersion">Data Logger Hardware Version</label>
          <input
              type="text"
              id="dlHardwareVersion"
              formControlName="dlHardwareVersion"
              class="form-control"
              readonly>
        </div> -->

            <mat-form-field class="form-group">
              <mat-label>Data Logger Hardware Version</mat-label>
              <input matInput formControlName="dlHardwareVersion" readonly />
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="dlSoftwareVersion">Data Logger Software Version</label>
          <input
            type="text"
            id="dlSoftwareVersion"
            formControlName="dlSoftwareVersion"
            class="form-control"
            readonly>
        </div> -->

            <mat-form-field class="form-group">
              <mat-label>Data Logger Software Version</mat-label>
              <input matInput formControlName="dlSoftwareVersion" readonly />
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="simSerialNum">SIM Serial Number<sup class="req">*</sup></label>
          <input
              type="text"
              id="simSerialNum"
              formControlName="simSerialNum"
              class="form-control"
              readonly>
        </div> -->

            <mat-form-field class="form-group">
              <mat-label>SIM Serial Number</mat-label>
              <input matInput formControlName="simSerialNum" readonly />
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="switch">Dry Switch<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let d of drySwitch">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="switch"
                    [value]="d.value">&nbsp;&nbsp;{{ d.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('switch').valid && signUpForm.get('switch').touched"
                 class="help-block">Please mark one option for Switch!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Dry Switch</mat-label>
                  <input matInput value="{{ this.signUpForm.get('switch').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="switch">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let d of drySwitch" [value]="d.value">
                      {{ d.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('switch').valid && signUpForm.get('switch').touched">
                Please mark one option for Switch!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="sdCard">SD Card Installed<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="sdCard"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('sdCard').valid && signUpForm.get('sdCard').touched"
                 class="help-block">Please mark one option for SD Card!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>SD Card Installed</mat-label>
                  <input matInput value="{{ this.signUpForm.get('sdCard').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="sdCard">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('sdCard').valid && signUpForm.get('sdCard').touched">
                Please mark one option for SD card!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="chargerAuthentication">Charger Authentication<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="chargerAuthentication"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('chargerAuthentication').valid && signUpForm.get('chargerAuthentication').touched"
                 class="help-block">Please mark one option for this!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Charger Authentication</mat-label>
                  <input matInput value="{{ this.signUpForm.get('chargerAuthentication').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="chargerAuthentication">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('chargerAuthentication').valid && signUpForm.get('chargerAuthentication').touched">
                Please mark one option for Charger Authentication!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="ntc">NTC<sup class="req">*</sup></label>
            <div class="radio form-inline" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="ntc"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('ntc').valid && signUpForm.get('ntc').touched"
                 class="help-block">Please mark one option for NTC!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>NTC</mat-label>
                  <input matInput value="{{ this.signUpForm.get('ntc').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="ntc">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('ntc').valid && signUpForm.get('ntc').touched">
                Please mark one option for NTC!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="cellHolder">Cell Holder<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="cellHolder"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('cellHolder').valid && signUpForm.get('cellHolder').touched"
                 class="help-block">Please mark one option for Cell Holder!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Cell Holder</mat-label>
                  <input matInput value="{{ this.signUpForm.get('cellHolder').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="cellHolder">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('cellHolder').valid && signUpForm.get('cellHolder').touched">
                Please mark one option for Charger Authentication!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="coinCell">Coin Cell<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="coinCell"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('coinCell').valid && signUpForm.get('coinCell').touched"
                 class="help-block">Please mark one option for Coin Cell!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Coin Cell</mat-label>
                  <input matInput value="{{ this.signUpForm.get('coinCell').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="coinCell">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('coinCell').valid && signUpForm.get('coinCell').touched">
                Please mark one option for Coin Cell!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="gsmWorking">GSM Working<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="gsmWorking"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('gsmWorking').valid && signUpForm.get('gsmWorking').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->
            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>GSM Working</mat-label>
                  <input matInput value="{{ this.signUpForm.get('gsmWorking').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="gsmWorking">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('gsmWorking').valid && signUpForm.get('gsmWorking').touched">
                Please mark one option for GSM Working!
              </mat-error>
            </div>

            <div class="form-group ">
              <label for="image" class="mb-2 mr-sm-2">Image</label>
              <div class="form-inline">
                <input type="file" class="form-control mb-2 mr-sm-2" formControlName="image" (change)="onFileSelected($event)">
                <button type="button" class="btn btn-primary btn-xs mb-2" (click)="uploadFile()" [disabled]="!disableUploadBtn">Upload</button>
              </div>
              <div *ngIf="showProgessBar">
                <div class="progress mb20 h20">
                  <div class="progress-bar" role="progressbar" [style.width.%]="progPercentage" aria-valuenow="25"
                    aria-valuemin="0" aria-valuemax="100">{{progPercentage}}%
                  </div>
                </div>
              </div>

              <div *ngIf="signUpForm.get('imageUrl').value">
                <img src="{{ signUpForm.get('imageUrl').value }}" alt="Battery Image" class="h60" (click)="zoomImage()"
                  title="Click to zoom">
              </div>
            </div>


            <!-- <div class="form-group">
          <label for="gpsCoordinates">GPS Coordinates<sup class="req">*</sup></label>
          <input
              type="text"
              id="gpsCoordinates"
              formControlName="gpsCoordinates"
              class="form-control"
              placeholder="Enter GPS Coordinates">
              <span
                *ngIf="!signUpForm.get('gpsCoordinates').valid && signUpForm.get('gpsCoordinates').touched"
                class="help-block">Please enter valid GPS Coordinates!</span>
        </div> -->

            <mat-form-field class="form-group">
              <mat-label>GPS Coordinates</mat-label>
              <input matInput formControlName="gpsCoordinates" placeholder="Enter GPS Coordinates" />
              <mat-error *ngIf="!signUpForm.get('gpsCoordinates').valid && signUpForm.get('gpsCoordinates').touched">Please
                enter valid GPS Coordinates</mat-error>
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="spaccer">Spacer on BMS/DL<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="spaccer"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('spaccer').valid && signUpForm.get('spaccer').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->
            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Spacer on BMS</mat-label>
                  <input matInput value="{{ this.signUpForm.get('spaccer').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="spaccer">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('spaccer').valid && signUpForm.get('spaccer').touched">
                Please mark atleast one option!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="remoteTested">Remote ON/OFF Tested(2 times)<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="remoteTested"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('remoteTested').valid && signUpForm.get('remoteTested').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Remote ON/OFF Tested(2 times)</mat-label>
                  <input matInput value="{{ this.signUpForm.get('remoteTested').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="remoteTested">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('remoteTested').valid && signUpForm.get('remoteTested').touched">
                Please mark atleast one option!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="dlContactNum">DL Contact Number<sup class="req">*</sup></label>
          <input
              type="text"
              formControlName="dlContactNum"
              class="form-control"
              placeholder="Enter DL Contact Number">
              <span
                *ngIf="!signUpForm.get('dlContactNum').valid && signUpForm.get('dlContactNum').touched"
                class="help-block">Please enter DL Contact Number!</span>
        </div> -->

            <mat-form-field class="form-group">
              <mat-label>DL Contact Number</mat-label>
              <input matInput formControlName="dlContactNum" placeholder="Enter DL Contact Number" />
              <mat-error *ngIf="!signUpForm.get('dlContactNum').valid && signUpForm.get('dlContactNum').touched">Please
                enter DL Contact Number</mat-error>
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="glued">Glued<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="glued"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('glued').valid && signUpForm.get('glued').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Glued</mat-label>
                  <input matInput value="{{ this.signUpForm.get('glued').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="glued">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('glued').valid && signUpForm.get('glued').touched">
                Please mark atleast one option!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="terminalCheck">Terminal Checked<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="terminalCheck"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('terminalCheck').valid && signUpForm.get('terminalCheck').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Terminal Checked</mat-label>
                  <input matInput value="{{ this.signUpForm.get('terminalCheck').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="terminalCheck">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('terminalCheck').valid && signUpForm.get('terminalCheck').touched">
                Please mark atleast one option!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="bmsSenseWireConnector">BMS Sense Wire Connector/Mention Terminal Voltage<sup class="req">*</sup></label>
          <input
              type="text"
              id="bmsSenseWireConnector"
              formControlName="bmsSenseWireConnector"
              class="form-control"
              placeholder="Enter BMS Sense Wire Connector">
              <span
                *ngIf="!signUpForm.get('bmsSenseWireConnector').valid && signUpForm.get('bmsSenseWireConnector').touched"
                class="help-block">Please enter valid GPS Coordinates!</span>
        </div> -->
            <mat-form-field class="form-group">
              <mat-label>BMS Sense Wire Connector/Mention Terminal Voltage</mat-label>
              <input matInput formControlName="bmsSenseWireConnector" placeholder="Enter BMS Sense Wire Connector" />
              <mat-error *ngIf="!signUpForm.get('bmsSenseWireConnector').valid && signUpForm.get('bmsSenseWireConnector').touched">Please
                enter valid BMS Sense Wire Connector</mat-error>
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="bmsEeprom">BMS EEPROM Parameters Updated<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="bmsEeprom"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('bmsEeprom').valid && signUpForm.get('bmsEeprom').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>BMS EEPROM Parameters Updated</mat-label>
                  <input matInput value="{{ this.signUpForm.get('bmsEeprom').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="bmsEeprom">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('bmsEeprom').valid && signUpForm.get('bmsEeprom').touched">
                Please mark atleast one option!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="bmsMcu">BMS MCU Parameters Updated<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="bmsMcu"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('bmsMcu').valid && signUpForm.get('bmsMcu').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>BMS MCU Parameters Updated</mat-label>
                  <input matInput value="{{ this.signUpForm.get('bmsMcu').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="bmsMcu">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('bmsMcu').valid && signUpForm.get('bmsMcu').touched">
                Please mark atleast one option!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="socWorking">SOC Working<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="socWorking"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('socWorking').valid && signUpForm.get('socWorking').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>SOC Working</mat-label>
                  <input matInput value="{{ this.signUpForm.get('socWorking').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="socWorking">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('socWorking').valid && signUpForm.get('socWorking').touched">
                Please mark atleast one option!
              </mat-error>
            </div>


            <!-- <div class="form-group">
          <label for="socStatus">SOC Status<sup class="req">*</sup></label>
          <select
            id="socStatus"
            formControlName="socStatus"
            class="form-control">
            <option value="-1">- Click to select SOC Status -</option>
            <option>1</option>
            <option>2</option>
            <option>3</option>
            <option>4</option>
          </select>
             <span
                *ngIf="!signUpForm.get('socStatus').valid && signUpForm.get('socStatus').touched"
                class="help-block">Please select SOC Status!</span>
        </div> -->

            <mat-form-field class="form-group">
              <mat-select formControlName="socStatus" placeholder="SOC Status">
                <mat-option value="1">1</mat-option>
                <mat-option value="2">2</mat-option>
                <mat-option value="3">3</mat-option>
                <mat-option value="4">4</mat-option>

              </mat-select>
              <mat-error *ngIf="!signUpForm.get('socStatus').valid && signUpForm.get('socStatus').touched">
                Please select SOC Status!
              </mat-error>
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="batteryLidAlign">Battery LID aligned with GSM/GPS Antennae<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="batteryLidAlign"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!signUpForm.get('batteryLidAlign').valid && signUpForm.get('batteryLidAlign').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Battery LID aligned with GSM/GPS Antennae</mat-label>
                  <input matInput value="{{ this.signUpForm.get('batteryLidAlign').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="batteryLidAlign">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('batteryLidAlign').valid && signUpForm.get('batteryLidAlign').touched">
                Please mark atleast one option!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="smartLock">Smart Lock<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="smartLock"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>

            <span
                 *ngIf="!signUpForm.get('smartLock').valid && signUpForm.get('smartLock').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->

            <!-- <div class="form-group">
          <label for="time">Time<sup class="req">*</sup></label>
          <ngb-timepicker formControlName="time"></ngb-timepicker>
        </div> -->

            <div class=" row">
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-form-field class="form-group">
                  <mat-label>Smart Lock</mat-label>
                  <input matInput value="{{ this.signUpForm.get('smartLock').value }}" disabled="disabled" />
                </mat-form-field>
              </div>
              <div class="col-md-6 col-sm-6 col-lg-6">
                <mat-radio-group class="example-radio-group" formControlName="smartLock">
                  <div class="RadioButton">
                    <mat-radio-button class="example-radio-button" *ngFor="let r of radioOptions" [value]="r.value">
                      {{ r.label }}
                    </mat-radio-button>
                  </div>
                </mat-radio-group>
              </div>
              <mat-error *ngIf="!signUpForm.get('smartLock').valid && signUpForm.get('smartLock').touched">
                Please mark atleast one option!
              </mat-error>
            </div>

            <!-- <div class="form-group">
          <label for="location">Location<sup class="req">*</sup></label>
          <input
              type="text"
              id="location"
              formControlName="location"
              class="form-control"
              placeholder="Enter Location">
              <span
                *ngIf="!signUpForm.get('location').valid && signUpForm.get('location').touched"
                class="help-block">Please enter valid Location!</span>
        </div> -->
            <mat-form-field class="form-group">
              <mat-label>Location</mat-label>
              <input matInput formControlName="location" placeholder="Enter Location" />
              <mat-error *ngIf="!signUpForm.get('location').valid && signUpForm.get('location').touched">Please enter
                valid Location</mat-error>
            </mat-form-field>

            <!-- <div class="form-group">
          <label for="checkedBy">Checked By<sup class="req">*</sup></label>
          <input
              type="text"
              id="checkedBy"
              formControlName="checkedBy"
              class="form-control"
              placeholder="Enter Username">
              <span
                *ngIf="!signUpForm.get('checkedBy').valid && signUpForm.get('checkedBy').touched"
                class="help-block">Please enter valid value!</span>
        </div> -->
            <mat-form-field class="form-group">
              <mat-label>Checked By</mat-label>
              <input matInput formControlName="checkedBy" placeholder="Enter Username" />
              <mat-error *ngIf="!signUpForm.get('checkedBy').valid && signUpForm.get('checkedBy').touched">Please enter
                valid GPS Coordinates</mat-error>
            </mat-form-field>

            <div class="row">
              <div class="col-sm-4"></div>
              <div class="col-sm-4"></div>
              <div class="col-sm-4">
                <button mat-raised-button color="primary" type="submit" [disabled]="signUpForm.invalid">Submit</button></div>
            </div>
          </form>
        </mat-card-content>
      </mat-card>

    </div>
    <div class="col-sm-3"></div>
  </div>
</div>
